<v-app-bar app>
  <v-app-bar-nav-icon @click="drawer = !drawer"></v-app-bar-nav-icon>
  <img class="mr-2" width="100" src="{{url_for('static', filename = 'img/faser.svg')}}">
  <div class="d-flex" style="align-items: center;">
    <span class="text-h5">Run Control</span>
    <div class="links">
      <a :href="histogramLink" target="_blank">Histograms</a>
      <a href="https://faser-grafana.web.cern.ch/d/JLpZrdQGk/daq-status-overview?orgId=1&refresh=10s"
      target="_blank">Grafana</a>
    </div>
    
    
    <v-btn :disabled="!unlocked['selectConfig']" class="mx-4 my-2" depressed color="blue" small
    :loading="loading['config']" variant="tonal">
    load
    <v-menu activator="parent" transition="slide-y-transition">
      <v-list density="compact">
        <v-list-item density="compact" v-for="configName in configs" @click="select_config(configName[0], true)"
        :key="configName[0]">
        <span :style="[configName[1] ? {'color': '#4caf50'} : {'color': 'black'}]">[[
          configName[0]
          ]] </span>
        </v-list-item>
      </v-list>
    </v-menu>
  </v-btn>
  <v-btn variant="plain" density="compact" icon>
    <v-icon> mdi-cog</v-icon>
    <v-menu activator="parent" :close-on-content-click="false" transition="slide-y-transition">
      <v-sheet class="px-3">
        <v-switch v-model="expertMode" label="Expert Mode" hide-details density="compact"></v-switch>
      </v-sheet>
    </v-menu>
  </v-btn>
</div>
<v-spacer></v-spacer>
  {% if localOnly %}
  <span class="text-h4 text-red mx-auto">LOCAL MODE</span>
  {% endif %}
  <v-spacer></v-spacer>
  <span>[[ whoInterlocked !== null ? whoInterlocked : '']]</span>
  <v-btn icon text small class="mx-1" :loading="loading['interlock']" :disabled="!unlocked['interlock_btn']"
    @click="interlock(interlocked ? 'release': 'lock')">
    <v-icon v-if="!interlocked">mdi-lock</v-icon>
    <v-icon v-else>mdi-lock-off</v-icon>
  </v-btn>
  <v-btn v-if="logged" icon text small class="mx-1" :loading="loading['login_out']" @click="logout">
    <v-icon> mdi-account-off</v-icon>
  </v-btn>
  <v-btn v-else icon text small class="mx-1" :loading="loading['login_out']" @click="login">
    <v-icon> mdi-account</v-icon>
  </v-btn>
  Logged as : [[ user !== null ? user : 'loading...' ]]
</v-app-bar>